POST   checks/command-v2

Creates a new Command check (version 2).

Remarks

Use GET checks/command-v2/locations route to get the list of values applicable for location_code.
Use GET groups route to get sub-groups ids applicable monitor_groups_ids.
Use GET checks/command-v2/categories route to get the list of check categories and templates applicable for template_id. Argument's id must be used as a key in arguments dictionary in request body.
Use GET repository profiles route to get the list of repository profile ids applicable for repository_profile_id.

Thresholds

There is a set of properties (each starts with threshold_) used for thresholds definition. Read more on thresholds here.

Scheduled Inclusion/Exclusion

The scheduled_inclusion and scheduled_exclusion parameters define specific day/time ranges when the check will run or not run respectively.
If no value specified (or null) it means 'always' for scheduled_inclusion and 'none' for scheduled_exclusion. Read more on the schedule syntax here.

Interval

The interval_seconds field defines the frequency of running check. If no value specified (or null), the check will run with default interval. Set interval_seconds = 0 if the check should run manually.



Returns HTTP 201 when created (the Location header must contain URL to the new check).

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/command-v2?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "repository_profile_id": 5,
  "template_id": 10,
  "arguments": {
    "1": "test",
    "2": "user"
  },
  "unit": "ms",
  "fail_over": true,
  "name": "Test check",
  "description": "It is a test check.",
  "monitor_groups_ids": [
    34,
    35,
    36
  ],
  "interval_seconds": 3600,
  "interval_manual": true,
  "max_attempts": 3,
  "attempt_pause": 30000,
  "location_code": "b8dce6d7-2222-1111-92e9-4a98eb706b13|europe.northern-europe.se.na.stockholm.ipv6-aaaaa|chromium|87",
  "secondary_location_codes": null,
  "check_fail_severity": "F",
  "threshold_w": 15000,
  "threshold_w_set_0": true,
  "threshold_w_dynamic": {
    "baseline_measure": "avg",
    "baseline_period_h": 2,
    "factor": 2.0,
    "offset": 0
  },
  "threshold_e": 25000,
  "threshold_e_set_0": false,
  "threshold_e_dynamic": {
    "baseline_measure": "avg",
    "baseline_period_h": 2,
    "factor": 2.0,
    "offset": 0
  },
  "threshold_lo_w": 5000,
  "threshold_lo_w_set_0": true,
  "threshold_lo_w_dynamic": {
    "baseline_measure": "avg",
    "baseline_period_h": 2,
    "factor": 2.0,
    "offset": 0
  },
  "threshold_lo_e": 10000,
  "threshold_lo_e_set_0": false,
  "threshold_lo_e_dynamic": {
    "baseline_measure": "avg",
    "baseline_period_h": 2,
    "factor": 2.0,
    "offset": 0
  },
  "tags": [
    1,
    2,
    3
  ],
  "scheduled_inclusion": "mon-fri: 21:30-22; sun:15-17; 0-1:12-18; 2012-04-01-2012-04-30:18-23",
  "scheduled_exclusion": "mon-fri: 21:30-22; sun:15-17; 0-1:12-18; 2012-04-01-2012-04-30:18-23",
  "target_sla": 0.9,
  "target_sla_2": 0.9,
  "verify_ping": "fast.com",
  "CheckID": 1,
  "CheckGUID": "52c0870f-1e97-43eb-961c-c8daf762aba4"
}"
NameType Required Description
repository_profile_idIntegerNo

Repository profile identifier. Required for Postman, URL-XI and Scripted (except Run AWS Lambda) checks.

template_idIntegerYes

Template ID.

argumentsObjectYes

Arguments list.

unitStringNo

Unit of measure for the check result. Any unit specified in the check template will override this setting. If empty/not specified both here and in the template, the results will have no unit of measure.

fail_overBooleanNo

With Failover enabled the check will be executed on a second location if the result is not OK (Information). Only one attempt will be made from the failover location.

nameStringYes

The name of the check.

descriptionStringNo

The check description.

monitor_groups_idsArrayNo

ID of monitor groups in which a check will be included.

interval_secondsIntegerNo

Check run interval in seconds.

interval_manualBooleanNo

The flag indicating whether check runmode is manual or interval.

max_attemptsIntegerNo

The max number of attempts that can be made to verify the results. This setting applies to the primary location only, not any failover locations. Available values: from 1 to 5.

attempt_pauseIntegerNo

Between every attempt there will be an Attempt Pause before the next attempt is performed. Milliseconds. Available values : 0, 50, 100, 200, 500, 1000, 2000, 3000, 5000, 10000, 20000, 30000, 60000.

location_codeStringYes

The check run location.

secondary_location_codesArrayNo

Currently not supported.

check_fail_severityStringNo

This will be the Severity that the check will get if it fails. This can be used to trigger a different Severity (and at the end, different alerts). I - Information, W - Warning, E - Error, F - Fatal. Default is F.

threshold_wIntegerNo

The value of high warning threshold. If not specified then no threshold.

threshold_w_set_0BooleanNo

The flag indicating whether or not the high warning threshold should be set to 0.

threshold_w_dynamicObjectNo

The object for configuring dynamic calculation of high warning threshold. If not specified then no dynamic calculation.

baseline_measureStringYes

The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'.

baseline_period_hIntegerYes

The period in hours for calculation depending on the specified baseline.

factorFloatYes

The percentage of the average/median return value or standard deviation of the return value.

offsetIntegerNo

The period's offset in hours.

threshold_eIntegerNo

The value of high error threshold. If not specified then no threshold.

threshold_e_set_0BooleanNo

The flag indicating whether or not the high error threshold should be set to 0.

threshold_e_dynamicObjectNo

The object for configuring dynamic calculation of high error threshold. If not specified then no dynamic calculation.

baseline_measureStringYes

The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'.

baseline_period_hIntegerYes

The period in hours for calculation depending on the specified baseline.

factorFloatYes

The percentage of the average/median return value or standard deviation of the return value.

offsetIntegerNo

The period's offset in hours.

threshold_lo_wIntegerNo

The value of low warning threshold. If not specified then no threshold.

threshold_lo_w_set_0BooleanNo

The flag indicating whether or not the low warning threshold should be set to 0.

threshold_lo_w_dynamicObjectNo

The object for configuring dynamic calculation of low warning threshold. If not specified then no dynamic calculation.

baseline_measureStringYes

The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'.

baseline_period_hIntegerYes

The period in hours for calculation depending on the specified baseline.

factorFloatYes

The percentage of the average/median return value or standard deviation of the return value.

offsetIntegerNo

The period's offset in hours.

threshold_lo_eIntegerNo

The value of low error threshold. If not specified then no threshold.

threshold_lo_e_set_0BooleanNo

The flag indicating whether or not the low error threshold should be set to 0.

threshold_lo_e_dynamicObjectNo

The object for configuring dynamic calculation of low error threshold. If not specified then no dynamic calculation.

baseline_measureStringYes

The baseline for calculating dynamic threshold. Available values: 'avg', 'mdn', 'std'.

baseline_period_hIntegerYes

The period in hours for calculation depending on the specified baseline.

factorFloatYes

The percentage of the average/median return value or standard deviation of the return value.

offsetIntegerNo

The period's offset in hours.

tagsArrayNo

List of tag IDs.

scheduled_inclusionStringNo

Inclusion Periods (Default: always).

scheduled_exclusionStringNo

Exclusion Periods (Default: none).

target_slaFloatNo

Sets a 1st Target SLA in percentage e.g. 99.5 or 99. This is used in certain types reports. Set 0 to reset the value.

target_sla_2FloatNo

Sets a 2nd Target SLA in percentage e.g. 99.5 or 99. This is used in certain types reports. Set 0 to reset the value.

verify_pingStringNo

After a failed result, verify connection against this hostname with a ping request.

CheckIDIntegerNo

No documentation available.

CheckGUIDGuidNo

No documentation available.